KDE 4.9 PyKDE API Reference

- KDE's Python API

# CSSStyleSheet Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.StyleSheet
Namespace: DOM

## Detailed Description

The CSSStyleSheet interface is a concrete interface used to represent a CSS style sheet i.e. a style sheet whose content type is "text/css".

## Methods

| __init__ (self)
| __init__ (self, DOM.CSSStyleSheet other)
| __init__ (self, DOM.StyleSheet other)
DOM.DOMString | charset (self)
DOM.CSSRuleList | cssRules (self)
| deleteRule (self, long index)
long | insertRule (self, DOM.DOMString rule, long index)
DOM.CSSRule | ownerRule (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.CSSStyleSheet | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.StyleSheet | other
| ) |  |  |

DOM.DOMString charset | ( |  | self ) |

Internal:

DOM.CSSRuleList cssRules | ( |  | self ) |

The list of all CSS rules contained within the style sheet. This includes both <a href="http://www.w3.org/TR/REC-CSS2/syndata.html#q8"> rule sets and <a href="http://www.w3.org/TR/REC-CSS2/syndata.html#at-rules"> at-rules .

deleteRule | ( | self, |
|  | long | index
| ) |  |  |

Used to delete a rule from the style sheet.

Parameters:

  | index | The index within the style sheet's rule list of the rule to remove.

Returns:

DOMException INDEX_SIZE_ERR: Raised if the specified index does not correspond to a rule in the style sheet's rule list.

NO_MODIFICATION_ALLOWED_ERR: Raised if this style sheet is readonly.

long insertRule | ( | self, |
|  | DOM.DOMString | rule,
|  | long | index
| ) |  |  |

Used to insert a new rule into the style sheet. The new rule now becomes part of the cascade.

Parameters:

  | rule | The parsable text representing the rule. For rule sets this contains both the selector and the style declaration. For at-rules, this specifies both the at-identifier and the rule content.
  | index | The index within the style sheet's rule list of the rule before which to insert the specified rule. If the specified index is equal to the length of the style sheet's rule collection, the rule will be added to the end of the style sheet.

Returns:
  The index within the style sheet's rule collection of the newly inserted rule.

DOMException HIERARCHY_REQUEST_ERR: Raised if the rule cannot be inserted at the specified index e.g. if an \@import rule is inserted after a standard rule set or other at-rule.

INDEX_SIZE_ERR: Raised if the specified index is not a valid insertion point.

NO_MODIFICATION_ALLOWED_ERR: Raised if this style sheet is readonly.

CSSException SYNTAX_ERR: Raised if the specified rule has a syntax error and is unparsable.

DOM.CSSRule ownerRule | ( |  | self ) |

If this style sheet comes from an \@import rule, the ownerRule attribute will contain the CSSImportRule . In that case, the ownerNode attribute in the StyleSheet interface will be null . If the style sheet comes from an element or a processing instruction, the ownerRule attribute will be null and the ownerNode attribute will contain the Node .